package Frames;



import java.sql.*;


import javax.swing.table.DefaultTableModel;


/**
 *
 * @author ELGHAZI
 */
public class Frame_Etudient extends javax.swing.JFrame {

    /**
     * Creates new form Frame_Etudient
     * @param id
     */
    public Frame_Etudient(int id) {
        initComponents();
        setTitle("Etudient Info");
        setSize(500,500);
        setLocationRelativeTo(null);
        
        
        setDefaultCloseOperation(Log_In.DISPOSE_ON_CLOSE);
        SchoolDB DB=new SchoolDB();
        
        try {
//        --------Table General Information Table --------
            ResultSet result=DB.Etudient_data_ById(id);
            DefaultTableModel model=(DefaultTableModel ) table_etudiant.getModel();
            model.setRowCount(0);
            while(result.next()){
                model.addRow(new String[]{result.getString(1),result.getString(2),result.getString(3),result.getString(4),result.getString(5),result.getString(6)});
            }
            table_etudiant.setEnabled(false);
        
//        --------Majors Information--------

            ResultSet result2=DB.cour_data_ById(id);
            model=(DefaultTableModel ) Table_cour.getModel();
            model.setRowCount(0);
            while(result2.next()){
                model.addRow(new String[]{result2.getString(1),result2.getString(2)});
            }
            Table_cour.setEnabled(false);
           


        
        

        }catch(SQLException e){
            System.out.println("Erreur : "+e.getMessage());
        } 
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        table_etudiant = new javax.swing.JTable();
        jScrollPane2 = new javax.swing.JScrollPane();
        Table_cour = new javax.swing.JTable();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel1.setText("Etudient Info");

        table_etudiant.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null, null, null}
            },
            new String [] {
                "id", "Nom", "Prenom", "Age", "Sexe", "Dep_Id"
            }
        ));
        jScrollPane1.setViewportView(table_etudiant);

        Table_cour.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null}
            },
            new String [] {
                "Matier", "Note"
            }
        ));
        jScrollPane2.setViewportView(Table_cour);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(206, 206, 206)
                        .addComponent(jLabel1))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(21, 21, 21)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jScrollPane1)
                            .addComponent(jScrollPane2))))
                .addContainerGap(35, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 43, Short.MAX_VALUE)
                .addGap(268, 268, 268))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTable Table_cour;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTable table_etudiant;
    // End of variables declaration//GEN-END:variables
}
